Package org.eclipse.ecf.core.util

## Class StringUtils

- java.lang.Object
- - org.eclipse.ecf.core.util.StringUtils

    public final class StringUtils
    extends Object

The StringUtils class provides static methods that helps make string manipulation easy. The primary functionality it is meant to provide is the ability to split a string into a string array based on a given delimiter. This functionality is meant to take the place of the split(String) and split(String, int) method that was introduced in J2SE-1.4. Please note, however, that the splitting performed by this class simply splits the string based on the delimiter and does not perform any regular expression matching like the split methods provided in J2SE-1.4.

### Constructor Summary

Constructors
`StringUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `contains​(String string, String target)` Returns whether the first parameter contains the second parameter.
`static String` `replaceAll​(String string, String target, String replace)` Returns the string resulting from replacing all occurrences of the target with the replace string.
`static String` `replaceAllIgnoreCase​(String string, String target, String replace)` Returns the string resulting from replacing all occurrences of the target with the replace string.
`static String` `replaceFirst​(String string, String target, String replace)` Returns the string resulting from replacing the first occurrences of the target with the replace string.
`static String[]` `split​(String string, char character)`
`static String[]` `split​(String string, String delimiter)`
`static String[]` `split​(String string, String delimiter, int limit)`
`static String[]` `splitOnSpace​(String string)`
`static String` `splitSubstring​(String string, String delimiter, int pos)`
`static String` `xmlDecode​(String string)`
`static String` `xmlEncode​(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StringUtils

    public StringUtils()

### Method Detail

#### splitOnSpace

    public static final String[] splitOnSpace​(String string)

#### split

    public static final String[] split​(String string,
                                       char character)

#### split

    public static final String[] split​(String string,
                                       String delimiter)

#### split

    public static final String[] split​(String string,
                                       String delimiter,
                                       int limit)

#### splitSubstring

    public static final String splitSubstring​(String string,
                                              String delimiter,
                                              int pos)

#### xmlDecode

    public static final String xmlDecode​(String string)

#### xmlEncode

    public static final String xmlEncode​(String string)

#### contains

    public static boolean contains​(String string,
                                   String target)

Returns whether the first parameter contains the second parameter.

Parameters:
  `string` - must not be `.`
  `target` - must not be `null.`
Returns:
  true if the target is contained within the string.

#### replaceAll

    public static String replaceAll​(String string,
                                    String target,
                                    String replace)

Returns the string resulting from replacing all occurrences of the target with the replace string. Note that the target matches literally, and this is not the same behavior as the String.replaceAll, which uses regular expressions for doing the matching.

Parameters:
  `string` - the start string. Must not be `null`.
  `target` - the target to search for in the start string. Must not be `null`.
  `replace` - the replacement string to substitute when the target is found. Must not be `null`.
Returns:
  String result. Will not be `null`. If target is not found in the given string, then the result will be the entire input string.

#### replaceAllIgnoreCase

    public static String replaceAllIgnoreCase​(String string,
                                              String target,
                                              String replace)

Returns the string resulting from replacing all occurrences of the target with the replace string. Note that the target matches literally but ignoring the case, and this is not the same behavior as the String.replaceAll, which uses regular expressions for doing the matching.

Parameters:
  `string` - the start string. Must not be `null`.
  `target` - the target to search for in the start string. Must not be `null`.
  `replace` - the replacement string to substitute when the target is found. Must not be `null`.
Returns:
  String result. Will not be `null`. If target is not found in the given string, then the result will be the entire input string.
Since:
  2.1
See Also:
  `but case insensitive`

#### replaceFirst

    public static String replaceFirst​(String string,
                                      String target,
                                      String replace)

Returns the string resulting from replacing the first occurrences of the target with the replace string. Note that the target matches literally, and this is not the same behavior as the String.replaceAll, which uses regular expressions for doing the matching.

Parameters:
  `string` - the start string. Must not be `null`.
  `target` - the target to search for in the start string. Must not be `null`.
  `replace` - the replacement string to substitute when the target is found. Must not be `null`.
Returns:
  String result. Will not be `null`. If target is not found in the given string, then the result will be the entire input string.
Since:
  3.0